# Apache2 deflate support if available
<IfModule mod_deflate.c>
AddOutputFilterByType DEFLATE text/html text/plain text/xml text/css text/javascript application/javascript
BrowserMatch ^Mozilla/4 gzip-only-text/html
BrowserMatch ^Mozilla/4\.0[678] no-gzip
BrowserMatch \bMSIE !no-gzip !gzip-only-text/html
</IfModule>

# SEO URL
RewriteEngine On
RewriteBase /
#RewriteBase /laboratorniulohy

#Presmerovani na verzi s www
#RewriteCond %{HTTP_HOST} ^kubikuladesign\.cz [nc]
#RewriteRule (.*) http://www.kubikuladesign.cz/$1 [R=301,L]

RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^([A-Za-z0-9-\_]+)/?$ ?id=$1

RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^([A-Za-z0-9-\_]+)/([0-9]{1,10}+)?/?$ ?id=$1&str=$2

RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^([A-Za-z0-9-\_]+)/([0-9]{1,10}+)/([0-9]{1,10}+)?/?/?$ ?id=$1&str=$2&sid=$3

RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^([A-Za-z0-9-\_]+)/?$ ?lang=$1 [L]
